MT version confusion

To add comments, please log in or register
TMMngoma
9
TMMngoma  

Hi,


I'm confused please assist, due to issues I have with MT5 I downloaded MT4 but the product details shows that MT4 and MT5 are the same version.

I want to use MT4 in the meantime as I have issues with MT5.

Thank you,

honest_knave
Moderator
2302
honest_knave  

You cannot download MT4 from MetaQuotes anymore, even if you download the "MT4 installer" from this site it will install MT5.

You need to download MT4 from a broker.

To add comments, please log in or register